Next Previous Contents

## 3.94 longjmp

> Function

>   Non local goto.

> Header

>   `setjmp.h`

> Declaration

>   `void __fastcall__ longjmp (jmp_buf buf, int retval);`

> Description

>   The `longjmp` function restores a program context from the data in `buf`, which must have been set by a preceeding call to `setjmp`. Program execution continues as if the call to `setjmp` has just returned the value `retval`.

> Limits

>   - If the parameter `retval` is zero, the function will behave as if it was called with a value of one.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   setjmp

> Example

>   None.

Next Previous Contents